using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using RepPP.VSNetWizard;

namespace RepPP.VSNetWizard.ASPNet
{
	/// <summary>
	/// frmStep5: finish form
	/// </summary>
	internal class frmStep5 : frmStepBase {
        private System.Windows.Forms.Label              lblFinish;
        private System.Windows.Forms.RadioButton        radReplace;
        private System.Windows.Forms.RadioButton        radNotReplace;
        private System.Windows.Forms.RadioButton        radAsk;
		private System.ComponentModel.Container         components = null;

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        //
        //******************************************************************
		public frmStep5() {
			InitializeComponent();
		}

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        /// <param name="frmMain">      Main form</param>
        //
        //******************************************************************
		public frmStep5(frmMain frmMain) : base(frmMain) {
			InitializeComponent();
        }

        //******************************************************************
        //
        /// <summary>
        /// Dispose:                    Dispose the form
        /// </summary>
        /// <param name="bDisposing">   true if disposing, false if finalizing</param>
        //
        //******************************************************************
        protected override void Dispose(bool bDisposing) {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(bDisposing);
        }

        //******************************************************************
        //
        /// <summary>
        /// ReplaceFileMode:        Get the replace file mode
        /// </summary>
        //
        //******************************************************************
        public Utility.ReplaceFileModeE ReplaceFileMode {
            get {
                Utility.ReplaceFileModeE eRetVal;

                if (radReplace.Checked) {
                    eRetVal = Utility.ReplaceFileModeE.sdReplaceWithoutAsk;
                } else if (radAsk.Checked) {
                    eRetVal = Utility.ReplaceFileModeE.sdAskBeforeReplace;
                } else {
                    eRetVal = Utility.ReplaceFileModeE.sdDoNotReplace;
                }
                return(eRetVal);
            }
        }
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.lblFinish = new System.Windows.Forms.Label();
            this.radReplace = new System.Windows.Forms.RadioButton();
            this.radAsk = new System.Windows.Forms.RadioButton();
            this.radNotReplace = new System.Windows.Forms.RadioButton();
            this.pnlStep.SuspendLayout();
            this.SuspendLayout();
            // 
            // pnlStep
            // 
            this.pnlStep.BackColor = System.Drawing.SystemColors.Control;
            this.pnlStep.Controls.Add(this.radNotReplace);
            this.pnlStep.Controls.Add(this.radAsk);
            this.pnlStep.Controls.Add(this.radReplace);
            this.pnlStep.Controls.Add(this.lblFinish);
            this.pnlStep.Name = "pnlStep";
            this.pnlStep.Size = new System.Drawing.Size(416, 280);
            // 
            // lblFinish
            // 
            this.lblFinish.Location = new System.Drawing.Point(16, 160);
            this.lblFinish.Name = "lblFinish";
            this.lblFinish.Size = new System.Drawing.Size(320, 24);
            this.lblFinish.TabIndex = 0;
            this.lblFinish.Text = "Press Finish to Generate ASP.NET Web Forms";
            // 
            // radReplace
            // 
            this.radReplace.Location = new System.Drawing.Point(16, 40);
            this.radReplace.Name = "radReplace";
            this.radReplace.Size = new System.Drawing.Size(232, 24);
            this.radReplace.TabIndex = 1;
            this.radReplace.Text = "Replace exisiting files without asking";
            // 
            // radAsk
            // 
            this.radAsk.Checked = true;
            this.radAsk.Location = new System.Drawing.Point(16, 16);
            this.radAsk.Name = "radAsk";
            this.radAsk.Size = new System.Drawing.Size(232, 24);
            this.radAsk.TabIndex = 2;
            this.radAsk.TabStop = true;
            this.radAsk.Text = "Ask before replacing an existing file";
            // 
            // radNotReplace
            // 
            this.radNotReplace.Location = new System.Drawing.Point(16, 64);
            this.radNotReplace.Name = "radNotReplace";
            this.radNotReplace.Size = new System.Drawing.Size(232, 24);
            this.radNotReplace.TabIndex = 3;
            this.radNotReplace.Text = "Don\'t replace existing files";
            // 
            // frmStep5
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(448, 302);
            this.Name = "frmStep5";
            this.Text = "frmStep5";
            this.pnlStep.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		#endregion
	} // Class frmStep5
} // namespace
