using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace RepPP.VSNetWizard.Windows {
	/// <summary>
	/// frmTypedInstParam:   Select the type instances generation parameters
	/// </summary>
	internal class frmTypedInstParam : frmStepTypedInstParam {
		private System.ComponentModel.Container     components = null;
    
        private RepPP.VSNetWizard.Windows.frmMain   m_frmWinMain = null;

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        //
        //******************************************************************
		public frmTypedInstParam() {
			InitializeComponent();
		}

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        /// <param name="frmMain">      Main form</param>
        //
        //******************************************************************
		public frmTypedInstParam(RepPP.VSNetWizard.Windows.frmMain frmMain) {
            m_frmWinMain = frmMain;
			InitializeComponent();
            InitParameters(m_frmWinMain.CurrentProject);
        }

        //******************************************************************
        //
        /// <summary>
        /// Dispose:                    Dispose the form
        /// </summary>
        /// <param name="bDisposing">   true if disposing, false if finalizing</param>
        //
        //******************************************************************
        protected override void Dispose(bool bDisposing) {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(bDisposing);
        }

        //*********************************************************     
        //
        /// <summary>
        /// OnTypedInstChecked:      Handle the check event on the typed instances
        /// </summary>
        /// <param name="sender">    Sender object   </param>
        /// <param name="e">         Event Arguments </param>
        //  
        //*********************************************************     
        protected override void OnTypedInstChecked(object sender, System.EventArgs e) {
            base.OnTypedInstChecked(sender, e);
            if (m_frmWinMain != null) {
                m_frmWinMain.NextButton.Enabled = ValidateB();
            }
        }

        //******************************************************************
        //
        /// <summary>
        /// OnParamChanged:         Handle changed event on the one of the parameters
        /// </summary>
        /// <param name="sender">   Sender</param>
        /// <param name="e">        Event arguments</param>
        //
        //******************************************************************
        protected override void OnParamChanged(object sender, System.EventArgs e) {
            base.OnParamChanged(sender, e);
            if (m_frmWinMain != null) {
                m_frmWinMain.NextButton.Enabled = ValidateB();
            }
        }
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.SuspendLayout();
            // 
            // pnlStep
            // 
            this.pnlStep.Name = "pnlStep";
            // 
            // frmStep3
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(496, 302);
            this.Name = "frmStep3";
            this.Text = "frmTypedInstStep3";
            this.ResumeLayout(false);

        }
		#endregion
	} // Class frmTypedInstParam
} // Namespace
